Bug 193152 - Introduces too much dependencies
Introduces too much dependencies
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-05-25 14:02 EDT by Enrico Scholz
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-21 21:15:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2006-05-25 14:02:12 EDT
Description of problem:

'policycoreutils' becames a basic system component but adds too much

* 'util-linux' requires /sbin/restorecon (which is provided by

* 'policycoreutils' pulls in
   - initscripts
   - python
   which are not needed for minimal systems

Therefore, it would be good when this dependency chain could be broken;
e.g. by:

* moving '/sbin/restorecon' into a 'policycoreutils-core' subpackage,
* by move the higher level stuff into own subpackage, e.g. by cutting 
  - 'initscripts' dependency by moving the 'restorecond' daemon into
    an own subpackage, and
  - 'python' dependency by moving the genhomedircon program + python
    modules into an own subpackage

IMO, first variant is the cleanest solution.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. mkdir /tmp/foo
2. rpm -Uvh --root /tmp/foo fedora-release-5-5.noarch.rpm --nodeps  # workaround missing configurability of yum
3. yum --installroot=/tmp/foo install util-linux

Actual results:

lot of unneeded stuff (audit-libs-python, python, device-mapper, lvm2,
initscripts, python, udev) will be installed due to 'policycoreutils'

Expected results:

only the really needed stuff will be installed
Comment 1 Daniel Walsh 2006-06-21 21:15:16 EDT
util-linux no longer requires policycoreutils in rawhide.  Not sure if this will
be backported.

Note You need to log in before you can comment on or make changes to this bug.